Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.lemma.reader.javacode
Class JavacodeRawReader

    java.lang.Object
      org.teleal.lemma.reader.AbstractReader
          org.teleal.lemma.reader.javadoc.AbstractJavadocReader
              org.teleal.lemma.reader.javacode.JavacodeReader
                  org.teleal.lemma.reader.javacode.JavacodeRawReader

All Implemented Interfaces:
  Reader

    public class JavacodeRawReader

extends JavacodeReader

Reads raw Java source content, handles `file://MyClass.java` URIs.

Uses handler, printer, filter of `JavacodeReader`.

Author:
  Christian Bauer

Field Summary
`static String` | `CONTEXT_BASE_DIRECTORY`

Fields inherited from class org.teleal.lemma.reader.javacode.JavacodeReader
`filters, handler, PATTERN_FRAGMENT_LABEL, printer`

Fields inherited from class org.teleal.lemma.reader.javadoc.AbstractJavadocReader
`CONTEXT_ROOT_DOC`

Constructor Summary
`JavacodeRawReader()`

Method Summary
`protected void` | `appendContent(org.teleal.common.xhtml.XHTMLElement parent, File file, CitationAnchor citation)`
`org.teleal.common.xhtml.XHTML` | `read(CitationAnchor citation, Context context)`

Methods inherited from class org.teleal.lemma.reader.javacode.JavacodeReader
`appendContent, getLineRangeParser, getMethodLineRange, getSignature, instantiateLineRangeParser, read, read, readSource, toString`

Methods inherited from class org.teleal.lemma.reader.javadoc.AbstractJavadocReader
`findTargetDoc, resolveThisReferences`

Methods inherited from class org.teleal.lemma.reader.AbstractReader
`appendTitle, getParser, getXPath, resolveFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTEXT_BASE_DIRECTORY

    public static final String CONTEXT_BASE_DIRECTORY

See Also:
  Constant Field Values

Constructor Detail

### JavacodeRawReader

    public JavacodeRawReader()

Method Detail

### read

    public org.teleal.common.xhtml.XHTML read(CitationAnchor citation,
                                              Context context)

  Specified by:
    `read` in interface `Reader`
  Overrides:
    `read` in class `AbstractJavadocReader`

### appendContent

    protected void appendContent(org.teleal.common.xhtml.XHTMLElement parent,
                                 File file,
                                 CitationAnchor citation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.